class BankTransaction {
  String? location;
  String? balance;
  String? bankName;
  String? name;
  String? accountNo;
  String? accountType;

  BankTransaction({
    this.location,
    this.balance,
    this.bankName,
    this.name,
    this.accountNo,
    this.accountType,
  });

  Map<String, dynamic> toJson() => {
        'location': location,
        'balance': balance,
        'bankName': bankName,
        'name': name,
        'accountNo': accountNo,
        'accountType': accountType,
      };

  factory BankTransaction.fromJson(Map<String, dynamic> json) {
    return BankTransaction(
      location: json['location'],
      balance: json['balance'],
      bankName: json['bankName'],
      name: json['name'],
      accountNo: json['accountNo'],
      accountType: json['accountType'],
    );
  }
}