enum CardType { CREDIT, DEBIT, ANY }
enum CardBrand { VISA, MASTERCARD, AMEX, DISCOVER, ANY }

class BinValidation {
  BinData binData;

  BinValidation({required this.binData});
}

class BinData {
  int bin;
  String cardBrand;
  String issuingOrg;
  CardType cardType;
  String cardCategory;
  String issuingCountry;
  String issuingCountryCodeA2;
  String issuingCountryCodeA3;
  int issuingCountryNumber;
  String issuingPhone;
  String issuingWebsite;
  String panLength;
  String issuedEntity;
  String isRegulated;
  bool isCommercial;

  BinData({
    required this.bin,
    required this.cardBrand,
    required this.issuingOrg,
    required this.cardType,
    required this.cardCategory,
    required this.issuingCountry,
    required this.issuingCountryCodeA2,
    required this.issuingCountryCodeA3,
    required this.issuingCountryNumber,
    required this.issuingPhone,
    required this.issuingWebsite,
    required this.panLength,
    required this.issuedEntity,
    required this.isRegulated,
    required this.isCommercial,
  });
}