import 'package:flutter/material.dart';
import 'webview_container.dart';

class PaydalaFlutterSdk {

  Widget getButton(BuildContext context, String buttonText, String url) {

    return ElevatedButton(
      onPressed: () {
        _handleURLButtonPress(context, url);
      },
      child: Text(buttonText),
    );
  }

  void _handleURLButtonPress(BuildContext context, String url) {
    Navigator.push(
        context, MaterialPageRoute(builder: (context) => WebViewExample(url: url)));
  }
}
